Commit 0258f78f authored by Noah Prail's avatar Noah Prail

Update Node to 8.12, NPM to 6.4.1, and drop Yarn.

parent 31f3f658
Pipeline #5787 passed with stage
in 5 seconds
FROM openjdk:8-jdk
MAINTAINER Filiosoft, LLC <Team@Filiosoft.com>
ENV NODE_VERSION 8
ENV NPM_VERSION 6.0.0
ENV NPM_VERSION 6.4.1
RUN apt-get update && \
apt-get install --no-install-recommends -y apt-transport-https && \
curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add - && \
echo "deb https://dl.yarnpkg.com/debian/ stable main" | tee /etc/apt/sources.list.d/yarn.list && \
curl -sL https://deb.nodesource.com/setup_${NODE_VERSION}.x | bash - && \
apt-get install --no-install-recommends -y nodejs yarn && \
apt-get install --no-install-recommends -y nodejs && \
npm i -g npm@${NPM_VERSION} && \
node -v && npm -v && yarn -V && \
node -v && npm -v && \
npm i -g npx && \
apt-get -y autoremove && \
apt-get -y autoclean && \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment